%global mod_name mailer-plugin
%global short_name mailer
%global plugin_home %{_datadir}/jenkins/webroot/WEB-INF/plugins/

Name:           jenkins-mailer-plugin
Version:        1.17
Release:        1%{?dist}
Summary:        Jenkins Mailer Plugin

# License is specified in pom.xml
License:        MIT
URL:            https://github.com/jenkinsci/mailer-plugin
Source0:        https://github.com/jenkinsci/%{mod_name}/archive/%{short_name}-%{version}.tar.gz
# Text copied from http://www.opensource.org/licenses/mit-license.php
Source1:        LICENSE.txt

BuildRequires:  maven-local
BuildRequires:  mvn(javax.mail:mail)
BuildRequires:  mvn(javax.servlet:servlet-api)
BuildRequires:  mvn(org.jenkins-ci.plugins:plugin:pom:)
BuildRequires:  mvn(org.kohsuke:access-modifier-checker)
BuildRequires:  mvn(org.jenkins-ci.main:jenkins-core)
BuildRequires:  mvn(org.jenkins-ci.modules:instance-identity)
BuildRequires:  mvn(com.google.code.findbugs:annotations)

# test deps
#BuildRequires:  mvn(junit:junit)
#BuildRequires:  mvn(org.jvnet.mock-javamail:mock-javamail)
#BuildRequires:  mvn(org.mockito:mockito-all)
#BuildRequires:  mvn(org.powermock:powermock-api-mockito)
#BuildRequires:  mvn(org.powermock:powermock-module-junit4)

BuildArch:      noarch

%description
This package provides default mailer plugin for Jenkins.

%package        javadoc
Summary:        Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{mod_name}-%{short_name}-%{version}

# upstream has this in Jenkins' parent POM, which we don't have
%pom_add_dep com.google.code.findbugs:annotations:provided

cp %{SOURCE1} .
%mvn_file ::hpi:: %{name}/%{short_name}

%build
# missing test dep org.jvnet.mock-javamail:mock-javamail
%mvn_build -f

%install
install -d -m 755 %{buildroot}/%{plugin_home}
unzip -d target/%{short_name}.hpi-unpacked target/%{short_name}.hpi
pushd target/%{short_name}.hpi-unpacked/WEB-INF/lib/
  rm %{short_name}.jar && ln -s %{_javadir}/%{name}/%{short_name}.jar .
  xmvn-subst -s .
popd
pushd target/%{short_name}.hpi-unpacked/
  zip -y -r %{short_name}.hpi .
popd
mv target/%{short_name}.hpi-unpacked/%{short_name}.hpi target/
cp target/%{short_name}.hpi %{buildroot}/%{plugin_home}/
%mvn_install

%files -f .mfiles
%dir %{_javadir}/%{name}
%{plugin_home}
%doc LICENSE.txt
%files javadoc -f .mfiles-javadoc
%doc LICENSE.txt

%changelog
* Tue Apr 26 2016 Michal Srb <msrb@redhat.com> - 1.17-1
- Update to 1.17

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.16-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Mon Nov 02 2015 Michal Srb <msrb@redhat.com> - 1.16-1
- Update to upstream version 1.16

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.15-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu Apr 16 2015 Michal Srb <msrb@redhat.com> - 1.15-2
- Migrate to .hpi with symlinks

* Mon Feb 09 2015 Michal Srb <msrb@redhat.com> - 1.15-1
- Update to upstream version 1.15

* Wed Feb 04 2015 Michal Srb <msrb@redhat.com> - 1.14-1
- Update to upstream version 1.14

* Fri Nov 21 2014 Michal Srb <msrb@redhat.com> - 1.12-1
- Update to upstream version 1.12

* Tue Nov 18 2014 Michal Srb <msrb@redhat.com> - 1.11-3
- Rebuild to fix plugin dependencies

* Thu Oct 09 2014 Michal Srb <msrb@redhat.com> - 1.11-2
- This is a core plugin, move it to the correct location

* Tue Sep 23 2014 Michal Srb <msrb@redhat.com> - 1.11-1
- Update to upstream version 1.11
- Install as Jenkins plugin

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Mar 20 2014 Michal Srb <msrb@redhat.com> - 1.8-1
- Update to upstream version 1.8

* Mon Nov 11 2013 Michal Srb <msrb@redhat.com> - 1.5-1
- Initial packaging

